Subject: linux-next: manual merge of the ftrace tree with the jc_docs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 13 Feb 2023 12:24:16 +1100

Hi all,

Today's linux-next merge of the ftrace tree got a conflict in:

  Documentation/trace/kprobetrace.rst

between commit:

  5d18c23c763d ("Documentation: kprobetrace: Split paragraphs")

from the jc_docs tree and commit:

  ce9c752ee1e7 ("tracing/probe: add a char type to show the character value of traced arguments")

from the ftrace tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/trace/kprobetrace.rst
index 0d103074d3d2,ef223b8ad6d5..000000000000
--- a/Documentation/trace/kprobetrace.rst
+++ b/Documentation/trace/kprobetrace.rst
@@@ -81,7 -80,7 +81,9 @@@ E.g. 'x16[4]' means an array of x16 (2-
  Note that the array can be applied to memory type fetchargs, you can not
  apply it to registers/stack-entries etc. (for example, '$stack1:x8[8]' is
  wrong, but '+8($stack):x8[8]' is OK.)
 +
+ Char type can be used to show the character value of traced arguments.
++
  String type is a special type, which fetches a "null-terminated" string from
  kernel space. This means it will fail and store NULL if the string container
  has been paged out. "ustring" type is an alternative of string for user-space.